Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

 

Department: G3-3 Affected Products: ADTF 3.7.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

Ok got it. Installed license and run program from bin\adtf_launcher?

Keeps asking for –s and some parameter?

Lösung

If you follow our getting started, after launching with ADTF Control, the connected ADTF System / ADTF Launcher is in Runlevel 1

(RL_System).

You have to increase the Runlevel to 5 (RL_Running), in which the Player sends Samples.

See step 5 in linked tutorial https://support.digitalwerk.net/adtf/v3/guides/getting_started.html:

5. Now you are in the Interactice Mode of ADTF Control, the ADTF Session is already launched and i

n the first runlevel (RL_System). Type rl running or rl 5 into the console for changig to runlevel

 to RL_Running

 I think this is your current state and description about "stuck", you have to do the same like you "click" in GUI Control.

If you want to direct launch running from ADTF Configuration using ADTF Control, you can extend the related Launch Options with

--run or craete additonal ones (Tools -> Options... -> Launchers)

Options -> https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#options

--run -> https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_control.html

If you don't need control access during runtime, I would recommend the direct ADTF Launcher Options which will automatic set

RL_Running:

Default Launch Options -> https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#sessions_view

Best Practise Tooling -> https://support.digitalwerk.net/adtf/v3/guides/bestpractice_tooling.html

History

#2 - 2021-01-18 08:01 - hidden

- Status changed from New to In Progress

- Author changed from hidden to hidden

#3 - 2021-01-18 08:10 - hidden

Hi John,

i think you refer to ADTF 3.x , right?

Please go to our Download Center - Overview of Products and Documentation site.

Here take a look to the ADTF documentation and to the ADTF3 Guides.

Within the Guides you will also find a section Getting Started

Here you will find the information about how to use and start ADTF 3.x

Does this help you?
#4 - 2021-01-18 08:10 - hidden

- Status changed from In Progress to Customer Feedback Required

#5 - 2021-01-19 08:15 - hidden

- File Screenshot (1).png added

Yes I found it.

I am seeing no player found. Is this problem or need to install something else?

John

#6 - 2021-01-19 09:56 - hidden

- Status changed from Customer Feedback Required to In Progress

- Affected Products ADTF 3.7.1 added

This could be a problem within the DEMO examples.

We will have a look into this.

You have tried to use the "Demo ADTF2 Video Decompressor Filter Session" example?

#7 - 2021-01-19 09:59 - hidden

- Affected Products deleted (ADTF 3.10.0)

#9 - 2021-01-20 07:45 - hidden

Demo ADTF2 Video Decompressor Filter Session using ADTF Control option gets stuck.  If use ADTF Control with GUI option it seems to work

#10 - 2021-01-20 13:19 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi John,

If you follow our getting started, after launching with ADTF Control, the connected ADTF System / ADTF Launcher is in Runlevel 1 (RL_System).

You have to increase the Runlevel to 5 (RL_Running), in which the Player sends Samples.

See step 5 in linked tutorial https://support.digitalwerk.net/adtf/v3/guides/getting_started.html:

5. Now you are in the Interactice Mode of ADTF Control, the ADTF Session is already launched and in the first 

runlevel (RL_System). Type rl running or rl 5 into the console for changig to runlevel to RL_Running

 I think this is your current state and description about "stuck", you have to do the same like you "click" in GUI Control.

If you want to direct launch running from ADTF Configuration using ADTF Control, you can extend the related Launch Options with --run or craete

additonal ones (Tools -> Options... -> Launchers)

Options -> https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#options

--run -> https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_control.html

If you don't need control access during runtime, I would recommend the direct ADTF Launcher Options which will automatic set RL_Running:

Default Launch Options -> https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#sessions_view

Best Practise Tooling -> https://support.digitalwerk.net/adtf/v3/guides/bestpractice_tooling.html

#11 - 2021-01-27 11:22 - hidden

Hi John,

have you received the last information?

We haven't got any feedback.

Can we close the ticket?

#12 - 2021-01-28 08:13 - hidden

- Project changed from 30 to Public Support

- Subject changed from Starting ADTF to Error message starting ADTF Launcher from explorer

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to Solved Issue

#13 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD

#14 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
